#!/bin/bash
echo Downloading latest from git repository...
set -e

wget http://projects.vdr-developer.org/projects/plg-graphlcd/repository/revisions/touchcol/raw/plugin.c -O ../plugin.c
DEB_SOURCE_PACKAGE=`egrep '^Source: ' debian/control | cut -f 2 -d ' '`
#VERSION_UPSTREAM=`dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 | cut -d- -f1 | sed -r 's/(.*)\+git.*/\1/' | cut -d':' -f2`
VERSION_DATE=`/bin/date +%0Y%0m%0d`
VERSION_ID=`grep '*VERSION' ../plugin.c | cut -d "\"" -f 2`
VERSION_FULL="${VERSION_ID}+git${VERSION_DATE}"

git clone git://projects.vdr-developer.org/vdr-plugin-graphlcd.git ${DEB_SOURCE_PACKAGE}-${VERSION_FULL}

cd ${DEB_SOURCE_PACKAGE}-${VERSION_FULL}
git checkout touchcol
git pull
cd ..

sudo rm -rf .pc
tar cvfz "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz" ${DEB_SOURCE_PACKAGE}-${VERSION_FULL}
rm -rf ${DEB_SOURCE_PACKAGE}-${VERSION_FULL}/debian
mv -f debian ${DEB_SOURCE_PACKAGE}-${VERSION_FULL}
mv -f ${DEB_SOURCE_PACKAGE}-${VERSION_FULL} .${DEB_SOURCE_PACKAGE}-${VERSION_FULL}
rm -rf *
mv -f .${DEB_SOURCE_PACKAGE}-${VERSION_FULL}/* .
rm -rf .${DEB_SOURCE_PACKAGE}-${VERSION_FULL}
dch -m -b -v "${VERSION_FULL}-1+opp~1" "Build for OPP-VDR"
dch -m -a "New upstream release"
rm -rf ../plugin.c
